;*
;* E$PDF.H
;*
;* Record layout Printer Definition File
;*
;*
;* (c) 1996	EARTH Software Development
;*		Netherlands
;*
;* (c) 2000-2015
;*	Software Development Studios'82
;*	Netherlands
;*
;*	Compatible with Multihouse Software
;*
;*	Note:
;*	MH printer types B, D and T are not supported.
;*	MH file has a record length of 70. So you need to extend the file for use
;*	with E$LIBRARY
;*

record	e$pdf
	e$pdf_sts,	d1	; (001-001)	1 = Active
				;		9 = Blocked
	e$pdf_typ,	a1	; (002-002)	Printer type
				;		S = Via SPOOL-file
				;		E = Via SPOOL-file and start editor
				;		X = Not in use
	e$pdf_num,	d2	; (003-004)	DBL$LP?? number
	e$pdf_dev,	a6	; (005-010)	Logical/Env.var to a directory
	e$pdf_del,	d1	; (011-011)	Delete after printing
				;		(only valid on VAX/VMS)
	e$pdf_des,	a50	; (012-061)	Print type description
	e$pdf_sqn,	d3	; (062-064)	Sequence number for the SPOOL-file
	e$pdf_cop,	d2	; (065-066)	Number of copies
	,		a4	; (067-070)
	e$pdf_bef,	a25	; (071-095)	File with printersettings BEFORE printing
	e$pdf_aft,	a25	; (096-120)	File with printersettings AFTER printing
	,		a5	; (121-125)	Filler
