$ set noverify
$!
$! ----------------------------------------------------
$! This procedure starts a file-editor for manipulating
$! ISAM or Relative files.
$!
$! Create PATH logical VIA_LIST: which is used here to
$! search for the file specified.
$! ----------------------------------------------------
$!
$	feditor :== "$fedit"
$	wild = 0
$	if p1.eqs."" then inquire p1 "_File "
$	if p1.eqs."" then exit

$	file = p1
$	l = f$length(file)
$	p = f$locate(":", file)
$	if p.eq.l then file = "VIA_LIST:" + file

$	l = f$length(file)
$	p = f$locate(".", file)
$	q = f$locate("*", file)

$	if q.ne.l then wild = 1
$	if wild.eq.0 .and. p.eq.l then file = file + ".*"

$ Edit:
$	on warning then goto Notfind

$	source = f$search (file)
$	if source.eqs."" then goto Notfind

$	if wild.eq.1 then source = file
$	l = f$length(source)
$	p = f$locate(".TJL;", source)
$	if p.ne.l then goto Edit
$	p = f$locate(".JOU;", source)
$	if p.ne.l then goto Edit
$	p = f$locate(".OBJ;", source)
$	if p.ne.l then goto Edit
$	p = f$locate(".DIR;", source)
$	if p.ne.l then goto Edit
$	p = f$locate(".EXE;", source)
$	if p.ne.l then goto Edit

$ Verder:
$	echo "%EDIT-I-FILE, Editing _[1m", source, "_[0m"
$	assign/user tt sys$input

$	feditor 'source'
$	EXIT

$ Notfind:
$	echo "%EDIT-W-FILNFND, ", file, " not found."

$	inquire p1 "Continue editing?
$	if p1.eqs."N" then exit

$	source = file - "VIA_LIST:"
$	goto Verder
