;
; EXTRA tbv compatibiliteit met E$LIB

external function
	cvatr,	d
	cvkey,	d

;
; Naam include-file : MHALG.INC
; Versie	    : 2.06-01
; Laatste update    : 01 Augustus 1988
;
; (1) Standaard MULTIHOUSE common-gebied
;
COMMON
;
MHADN,	D3		; Administratienummer	
MHSNM,	A30		; Naam subsysteem
MHFNM,	A40		; Funktieomschrijving
MHPRG,	A8		; Naam programma
MHVER,	A8		; Versie aanduiding
MHDAT,	D6		; Systeem datum (JJMMDD)
MHLEN,	D4		; Lengte ingenomen of ingelezen veld
MHERC,	D3		; Error kode
MHLIN,	D4		; Regelnummer van de fout
MHMDE,	A2		; I/O mode
MHTYD,	D6		; Systeemtijd (UUMMSS)
MHCAD,	D1		; Kode administratie-nummer :
			; 0 = Administratienummer niet van toepassing
			; 1 = Adm.nr. uit wachtwoordenbestand PICOLO
			; 2 = Administratienummer ingenomen in PICOLO
			; 3 = Administratienummer opvragen in  DXKOP
			; 4 = Alleen MHPRG en MHVER updaten, verder als 9
			; 5 = Kop over oude kop, scherm schoon vanaf regel 5,
			;     verder als bij MHCAD = 9
			; 6 = Als 4, echter niets openen
			; 7 = Als 5, echter niets openen
			; 8 = Gereserveerd voor later gebruik
			; 9 = Adm.nr. via boodschap, scherm in DXKOP niet
			;     opnieuw opbouwen, verder als MHCAD = 2 of 3
MHTNR,	D3		; Terminalnummer
MHPNR,	D2		; Printernummer (fixed)
MHGBR,	A20		; Naam van gebruiker
MHCFK,	A1		; Kode funktiekeuze
MHAUT,	A3		; Authorisatie-nivo's
MHDGL,	A10		; Doorgeefluik
MHTTY,	D2		; Terminaltype
			; 0 = Onbekende terminal
			; 1 = VT52-mode terminal
			; 2 = ANSI-mode terminal
			; 3 = VT2xx-mode terminal
MHPSC,	D1		; Indikatie printen op scherm
			; Bij aanroep XPROP:
			; 0 = Niet toegestaan
			; 1 = Wel toegestaan
			; Bij terugkeer XPROP
			; 0 = Niet op scherm printen
			; 1 = Wel op scherm printen
MHLTP,	D1		; Lijst type
			; 0 = Geen 8-bit en geen stuurcodes (@<xxx>)
			; 1 = Wel 8-bit en geen stuurcodes
			; 2 = Misschien 8-bit en wel stuurcodes
MHSRG,	2D2		; Regels voor scroll-gebied
			; (Als niet gevuld worden defaults genomen)
MHFLN,	A25		; Naam geopende Printfile bij terugkeer XPROP
MHUPC,	D1		; In volgende XIBOL upcasen J/N
			; 1 = Er wordt geupcased
			; 0 = Er wordt niet geupcased
MHWKN,	D2		; Het huidige weeknummer (gevuld in DXKOP)
MHVNR,	D3		; Volgnummer t.b.v. XOPEN en XFNAM
MHABO,	D1		; Administratie-bestand-open-mode
			; 0 = DXKOP sluit het adm. na lezen van 1 record
			; 1 = DXKOP houdt het adm. open (kanaal 2, mode U:I)
			; 2 = DXKOP houdt het adm. open (kanaal 2, mode I:I)
MHNVP,	D1		; Ingave bij volgende AXXJN of AXJND niet verplicht
MHRGL,	D2		; Regelnummer voor AXAKK e.d.
MHBEL,	D1		; Attentie-signaal
			; 0 = Piepen bij XCALL XBEEP
			; 1 = Flikkeren (alleen als mogelijk)
MHATR,	D2		; Gebruikte attribuut in bijvoorbeeld DXSTR
MHHLB,	A40		; Help library
MHHTP,	A40		; Help topic
MHNRT,	D3		; Aantal retry's bij XXOPN, XOPEN, XREL, XISM etc.
;
; - De volgende 4 velden mogen alleen in de XIBOL's worden gebruikt -
;
MHNUL,	A4		; NULL integer
MHINT,	132A4		; integers 1 t/m 132 (wordt in XOPNT gevuld)
MHPID,	A4		; Pasteboard ID
MHWIN,	A4		; Current window ID
;
; (2) Standaard MULTIHOUSE administratie record
;
COMMON MHADM	; Recordlengte: 508
;
MHANR,	A3		; (001-003) Administratienummer
MHVLG,	A2		; (004-005) Volgnummer
MHPNM,	A30		; (006-035) Naam pakket
MHANM,	A40		; (036-075) Naam administratie
MHBNM,	A25		; (076-100) Filespec best.def.bestand
MHPPB,	A25		; (101-125) Filespec print.par.bestand
MHFLG,	D8		; (126-133) Standaard-flags
MHPAK,	A10		; (134-143) Pakketnaam voor lijstkop
MHASW,	A6		; (144-149) Assign werk-bestanden
MHASP,	A6		; (150-155) Assign programma's
MHATT,	D2		; (156-157) Kode voor attributen bij inname
			; 	    van rubrieken:
			;	    0 = Niets
			;	    1 = Bold
MHTDI,	D1		; (158-158) 0 = MHDAT wordt gevuld met de systeemdatum
			;	    1 = Datum wordt ingenomen in DXKOP
MHBPB,	D3		; (159-161) Nummer van BPB in BDB
MHATN,	D2		; (162-163) Attributen bij foutmeldingen e.d.
MHATS,	D2		; (164-165) Attributen bij extra aandacht weergaves
,	A35		; (166-200) Gereserveerd (niet gebruiken)
,	A308		; (201-508) Gereserveerd voor pakket
;
;-----------------------------------------------------------------------------;
; Positie 201 t/m 508 van MHADM kunnen door de programmeur gebruikt worden    ;
; d.m.v. het redefinen van deze laatste 308 posities, dit gaat als volgt:     ;
;									      ;
;	.INCLUDE 'PRG:MHALG.INC'					      ;
; 									      ;
;	COMMON MYADM ,X		; Redefine van MHADM !			      ;
; 	,	A200		; Eerste 200 posities overslaan !	      ;
;	EEN,	A191							      ;
;	TWEE,	D18							      ;
;	DRIE,	A99							      ;
;-----------------------------------------------------------------------------;
