;*
;* E$OBJECTS.H
;*
;* Definitions for the E$LIB routines
;*
;*
;* (c) 1996	EARTH Software Development
;*		Netherlands
;*
;* (c) 2000-2015
;*	Software Development Studios'82
;*	Netherlands
;*

record
	;* The ',' is at position 32
	mask1base,a*, 'XXX.XXX.XXX.XXX.XXX.XXX.XXX.XXX,XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
	mask2base,a*, 'ZZZ.ZZZ.ZZZ.ZZZ.ZZZ.ZZZ.ZZZ.ZZX,XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
	mask3base,a*, 'ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ'
	nmask,	a64

;* Used to position the cursor
record
	rcpos,	d5
record,x
	row,	d2
	col,	d3

record
	e_flags,	d8
record,x
	e_flag8,	d1
	e_flag7,	d1
	e_flag6,	d1
	e_flag5,	d1
	e_flag4,	d1
	e_flag3,	d1
	e_flag2,	d1
	e_flag1,	d1

record
	edstr,	a133
record,x
	d18,	d18
	,	a115

record			; W_INFO routine
	wid1,	i4
	wids,	15i4	; Window IDs

;* Work fields
record	e_object
	ascii,	d3
	asciia,	a1

	wrong,	d1
	alert,	d1

	quit_routine,d1

	svstr,	a133
	dumstr,	a133
	astr,	a133

	orgmask,a133
	mask,	a133
	maskpos,a133
	via_mask,d1
	
	scol,	d3
	srow,	d3

	ofset,	d3
	cure,	d3

	maxl,	d3
	maxc,	d3
	maxchar,d3

	sw,	d3
	ix,	d3
	jx,	d3

	insmode,d1
	r2l,	d1
	numeric,d1
	skip,	a1	; 'Skip' character. Default a ' '. With a mask it is a '!'
	sign,	d1	; If NUMERIC=9 and the user types a '-', sign = -1; else sign = 1
	lzchar,	a1	; Leading zero character

	acomma,	d3
	bcomma,	d3

	leading,d1	; 1=Leading zeros

	oiv,	d1	; 1=Overwrite initial value
	attrs,	d6
	colrs,	d1

       retvals,11d4    ; For return values from W_INFO

