;*
;* E$PRINT.H
;*
;* Fields used by E$PRINT.
;*
;*
;* (c) 1996	EARTH Software Development
;*		Netherlands
;*
;* (c) 2000-2015
;*	Software Development Studios'82
;*	Netherlands
;*

common	e$print
	e$p_chan,	d3	; Channel to spoolfile
	e$p_num,	d3	; Printer number (= PDF recordnumber)
	e$p_pdf,	a125	; PDF record
	e$p_file,	a25	; Name of SPOOL file

	e$p_pgsize,	d3	; Max lines per page
	e$p_line,	d5	; Line number of last printed line
	e$p_blsize,	d2	; Max lines in a block
				; (0 = no block printing)
	e$p_bline,	d2	; Line number of last printed line within a block
	e$p_lfeed,	d2	; Number of linefeeds before
	e$p_page,	d4	; Current page number to print in header (if any)
	e$p_pagep,	d3	; Position of E$P_PAGE in header/footer
				; (0 = no pagenumber)
	e$p_pagef,	d1	; 0 = In header[1]
				; 1 = In last footer
	e$p_date,	d8	; Date to print in header[1]
				; Expected format : CCYYMMDD or 00YYMMDD.
	e$p_datep,	d3	; Position of E$P_DATE in header/footer
				; (0 = no date)
	e$p_datef,	d1	; 0 = In header[1]
				; 1 = In last footer
	e$p_head,	[5]a132	; Headers
	e$p_headp,	[5]d2	; Line position of headers
				; (0 = no header to print)
	e$p_foot,	[2]a132	; Footers
	e$p_buff,	a132	; The buffer to print
       e$p_win,        i4      ; Window to print to if e$pdf_dev = 'TT:'

