RECORD	PARMS

				; INPUT=filespec[,filespec,...]
				; INPUT:filespec[(count)][filespec[(count)],...]
	INNUM,	D1		; Number of input files
	INPUT,	7A255		; File specifications for input file(s)

				; OUTPUT=filespec
				; OUTPUT:filespec
	OUTPUT,	A255		; File specification for output file

				; RECLEN:value
	RECLEN,	D5		; Record length

				; ISAM
	ISAM,	D1		;

				; PAD:character
	PAD,	A1, ""		; User-defined end-of-file marker (ASCII 000)

				; COUNT:value
	COUNT,	7D10		; Number of records to sort

				; KEYS:tdp.l[,tdp.l,...]
				; or KEYS:field_name[-][,field_name[-],...]
	KEYNUM,	D1		; Number of keys
	TYPE,	8A1		; Key field data type (A=alpha,D=numeric,P=packed)
	DIRECT,	8A1		; Sort direction (A=ascending,D=decending)
	POSTN,	8D5		; Starting record position for key
	LENGTH,	8D3		; Length of key

				; TAGS:{SORT|LIST|INDEX}
				; or TAGS:{SORT|LIST|INDEX}
	TAGS,	A5		; Type of tag sort to be performed (SORT,LIST,or INDEX)

       				; TTNUM:value
	TTNUM,	D10, -999	; Terminal number where IDENT program is (will be) running

				; WORK:value
				; or WORK:[number][,device,...]
	WORK,	D1, 2		; Number of work files to use
				; ASSIGN:device[,device,...]
				; or WORK:[number][,device,...]
	DEVNO,	D1		; Number of device specifications
	DEV,	8A32		; Device specifications for work files

				; TEMP=filespec
	TEMP,	A255		; File specification for temporary output file

;
; Remaining fields not used by XCALL interface
;
				; CHAIN=filespec
				; or EXECUTE:filespec
	CHAIN,	A132		; File specification of program to chain to

				; IDENT=filespec
	IDENT,	A39		; Receiver ID of program to receive message

				; MESSAGE:text_string
	MESSIZ,	D2		; Number of characters in message text
	MESSGE,	A40		; Message to be sent to program specified by IDENT

				; LOCKCC
	LOCKCC,	D1		; Set if CTRL/C should be disabled

				; DETACH
				; or DETACH:
	DETACH,	D1		; Set if SORT should run detached

				; DIBOL
	DIBOL,	D1		; Set if 'SORTG' style commands

				; SPACE:value
				; or SPACE:kbytes
	MEMORY,	D2		; Memory to use for SORT (in 1K increments)
				; SU: (SORTG)
	SU,	D1		; Set if SORT is running on a single user system

	CNTWRK,	D1		; Workfiles are to be contiguous

	FLAGS,	10D1		; Series of extra flags to pass to SORT

RECORD,X
	PARMSX,	A2727		; Overlays fields used by XCALL interface
	,	A173		
	DMSSGE,	D3		; Overlays 1st 3 chars of MESSGE
